<?php

namespace Drupal\monarch_media_bulk_upload\EventSubscriber;

use Drupal\Core\Routing\RouteSubscriberBase;
use Drupal\Core\Routing\RoutingEvents;
use Drupal\media_bulk_upload\Form\MediaBulkUploadForm;
use Drupal\monarch_media_bulk_upload\Form\MediaBulkUploadFormOverride;
use Symfony\Component\Routing\RouteCollection;

/**
 * Monarch Media Bulk Upload route subscriber.
 */
class MonarchMediaBulkUploadRouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    $routes = $collection->all();

    if ($route = ($routes['media_bulk_upload.upload_form'] ?? NULL)) {
      if ($route->getDefault('_form') === '\\' . MediaBulkUploadForm::class) {
        $route->setDefault('_form', '\\' . MediaBulkUploadFormOverride::class);
      }
    }
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events = parent::getSubscribedEvents();
    $events[RoutingEvents::ALTER] = ['onAlterRoutes', -300];
    return $events;
  }

}
