<?php

namespace Drupal\monarch_media_bulk_upload\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Monarch Media Bulk Upload settings for this site.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'monarch_media_bulk_upload_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['monarch_media_bulk_upload.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['page_class'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Page Class'),
      '#default_value' => $this->config('monarch_media_bulk_upload.settings')->get('page_class'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('monarch_media_bulk_upload.settings')
      ->set('page_class', $form_state->getValue('page_class'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
